#
# spec file for package amdovdrvctrl
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Packman team <packman@links2linux.de>.  
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _execname AMDOverdriveCtrl
%if 0%{?suse_version} >= 1140
%define _use_internal_dependency_generator 0
%define __find_requires %{wx_requires}
BuildRequires:  wxWidgets-wxcontainer-devel
%else
BuildRequires:  wxGTK-devel
%endif
Name:           amdovdrvctrl
Version:        1.2.7
Release:        3.27
Summary:        Control AMD Catalyst Overdrive settings
Summary(ru):    Управление разгоном видеокрты через AMD Catalyst
License:        GPL-2.0-only
Group:          Hardware/Other
URL:            http://%{name}.sourceforge.net/
Source:         http://sourceforge.net/projects/%{name}/files/C%2B%2B%20sources/%{_execname}.%{version}.tar.bz2
Source1:        ADL_SDK_V10.2.zip
BuildRequires:  gcc-c++ 
BuildRequires:  unzip
BuildRequires:  update-desktop-files

%description
This tool let's you control the performance levels, frequency and fan settings of your AMD/ATI video card, use application profiles for overdrive settings. It depends on the proprietary AMD Catalyst display driver and makes use of the AMD Display Library (ADL).

%description -l ru
Инструмент для разгона видеокарт AMD - позволяет контролировать температуру, управлять частотой и скоростью вращения вентилятора, поддерживает профили разгона. Зависит от проприетарного драйвера AMD Catalyst и использует AMD Display Library (ADL).

%prep
%setup -q -n %{_execname}
unzip -q %{SOURCE1} -d ADL_SDK

%build
%configure
export OPTFLAGS="%{optflags}"
make %{?_smp_mflags} clean # Needed if *.o files present into scr directory
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file %{_execname}
# Address spurious-executable-perm
chmod 644 documentation/QuickStartGuide.pdf

%files
%{_mandir}/man1/%{_execname}.1%{?ext_man}
%doc documentation/QuickStartGuide.pdf
%{_datadir}/%{_execname}
%{_datadir}/applications/%{_execname}.desktop
%{_bindir}/%{_execname}

%changelog
* Thu Dec 19 2013 svalx@svalx.net
- Update to version 1.2.7:
  * "Close to tray" instead of dialog destroy as suggested by David Keogh;
  * new command line option "-m" to start the program minimized to tray as requested
    by user Photon;
  * added button to change temperature display from °C to °F;
  * some bugs fixed.
- Update ADL SDK to version 6.0.
  * deprecating few outdated Display Mode timing override APIs;
  * providing new implementation for custom timing APIs;
  * added ADL2 set of APIs that allow concurrent execution of ADL APIs from multiple
    threads, and allow conflict-less ADL context initialization and destruction by
    multiple uncoordinated clients that resides in the same process;
  * added new set Overdrive 6 APIs for voltage and thermal range control;
  * bug fixes.
- Add sevice for source download from Souceforge.net.
* Mon Apr  1 2013 svalx@svalx.net
- Remove patches - upstream fixed.
* Sun Mar 17 2013 svalx@svalx.net
- Update to version 1.2.3:
  * new command line switch "--no-warnings" to suppress warning message box at startup;
  * patch included (detect if card supports fan speed setting by percentage);
  * patch included (makefile corrected).
- Update ADL SDK to version 5.0.
- Remove upstream fixed amdovdrvctrl-1.2.1-wxWidgets-link.patch.
- Update desktop file categories and translation - amdovdrvctrl-1.2.3-desktop-file.patch.
- Add Russian package description.
- Split main sources and ADL SDK.
* Tue Oct  2 2012 svalx@svalx.net
- Use %%{?_smp_mflags} for prallel make.
- Remove %%clean section.
* Tue Apr 24 2012 svalx@svalx.net
- Initial package created.
